Debian Bug report logs - #608220
hugs98: FTBFS (sort of): Socket.hsc: error: invalid application of 'sizeof' to incomplete type 'struct ucred'

version graph

Package: src:hugs98; Maintainer for src:hugs98 is Isaac Jones <ijones@debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Tue, 28 Dec 2010 20:48:01 UTC

Severity: serious

Tags: patch

Found in versions hugs98/98.200609.21-5.1, hugs98/98.200609.21-5

Fixed in version hugs98/98.200609.21-5.2

Done: Felix Geyer <debfx-pkg@fobos.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Isaac Jones <ijones@debian.org>:
Bug#608220; Package src:hugs98. (Tue, 28 Dec 2010 20:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, Isaac Jones <ijones@debian.org>. (Tue, 28 Dec 2010 20:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: hugs98: FTBFS (sort of): Socket.hsc: error: invalid application of 'sizeof' to incomplete type 'struct ucred'
Date: Tue, 28 Dec 2010 21:45:43 +0100
Source: hugs98
Version: 98.200609.21-5
Severity: serious
Justification: rebuild produces a broken package

I rebuilt hugs98 in a clean sid i386 chroot. The package was built 
successfully, but the resulting libhugs-network-bundled was mostly 
empty:

$ dpkg -c libhugs-network-bundled_98.200609.21-5_i386.deb | grep -v -E '/($|usr/share/doc)'
-rw-r--r-- root/root       605 2010-12-18 15:20 ./usr/lib/hugs/packages/network/autogen/Paths_network.hs

The interesting part of the build log:

| Preprocessing library network-2.0...
| ../../libraries/tools/hsc2hs -D__HUGS__ -Iinclude -DCALLCONV=ccall -o Network/BSD.hs Network/BSD.hsc
| ../../libraries/tools/hsc2hs -D__HUGS__ -Iinclude -DCALLCONV=ccall -o Network/Socket.hs Network/Socket.hsc
| Socket.hsc: In function 'main':
| Socket.hsc:1002: error: invalid application of 'sizeof' to incomplete type 'struct ucred'
| Socket.hsc:1002: error: invalid application of 'sizeof' to incomplete type 'struct ucred'
| Socket.hsc:1002: error: invalid application of 'sizeof' to incomplete type 'struct ucred'
| Socket.hsc:1008: error: invalid use of undefined type 'struct ucred'
| Socket.hsc:1009: error: invalid use of undefined type 'struct ucred'
| Socket.hsc:1010: error: invalid use of undefined type 'struct ucred'
| compiling Network/Socket_hsc_make.c failed

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Jones <ijones@debian.org>:
Bug#608220; Package src:hugs98. (Wed, 29 Dec 2010 12:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <mindboosternoori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Isaac Jones <ijones@debian.org>. (Wed, 29 Dec 2010 12:30:08 GMT) Full text and rfc822 format available.

Message #10 received at 608220@bugs.debian.org (full text, mbox):

From: Marcos Marado <mindboosternoori@gmail.com>
To: 608220@bugs.debian.org
Subject: Re: hugs98: FTBFS (sort of): Socket.hsc: error: invalid application of 'sizeof' to incomplete type 'struct ucred'
Date: Wed, 29 Dec 2010 12:27:36 +0000
Couldn't this be something similar to this one?
http://trac.haskell.org/network/ticket/20

-- 
Marcos Marado




Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Jones <ijones@debian.org>:
Bug#608220; Package src:hugs98. (Fri, 31 Dec 2010 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Isaac Jones <ijones@debian.org>. (Fri, 31 Dec 2010 16:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 608220@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 608220@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#608220: hugs98: FTBFS (sort of): Socket.hsc: error: invalid application of 'sizeof' to incomplete type 'struct ucred'
Date: Fri, 31 Dec 2010 17:15:02 +0100
[Message part 1 (text/plain, inline)]
tag 608220 patch
thanks

Jakub Wilk <jwilk@debian.org> (28/12/2010):
> Source: hugs98
> Version: 98.200609.21-5
> Severity: serious
> Justification: rebuild produces a broken package
>
> I rebuilt hugs98 in a clean sid i386 chroot. The package was built
> successfully, but the resulting libhugs-network-bundled was mostly
> empty:
>
> $ dpkg -c libhugs-network-bundled_98.200609.21-5_i386.deb | grep -v -E '/($|usr/share/doc)'
> -rw-r--r-- root/root       605 2010-12-18 15:20 ./usr/lib/hugs/packages/network/autogen/Paths_network.hs
>
> The interesting part of the build log:
>
> | Preprocessing library network-2.0...
> | ../../libraries/tools/hsc2hs -D__HUGS__ -Iinclude -DCALLCONV=ccall -o Network/BSD.hs Network/BSD.hsc
> | ../../libraries/tools/hsc2hs -D__HUGS__ -Iinclude -DCALLCONV=ccall -o Network/Socket.hs Network/Socket.hsc
> | Socket.hsc: In function 'main':
> | Socket.hsc:1002: error: invalid application of 'sizeof' to incomplete type 'struct ucred'
> | Socket.hsc:1002: error: invalid application of 'sizeof' to incomplete type 'struct ucred'
> | Socket.hsc:1002: error: invalid application of 'sizeof' to incomplete type 'struct ucred'
> | Socket.hsc:1008: error: invalid use of undefined type 'struct ucred'
> | Socket.hsc:1009: error: invalid use of undefined type 'struct ucred'
> | Socket.hsc:1010: error: invalid use of undefined type 'struct ucred'
> | compiling Network/Socket_hsc_make.c failed

This seems to go away once the attached patch applied.

KiBi.
[hugs98+608220.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Fri, 31 Dec 2010 16:18:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Jones <ijones@debian.org>:
Bug#608220; Package src:hugs98. (Fri, 31 Dec 2010 18:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Boyd Stephen Smith Jr." <bss@iguanasuicide.net>:
Extra info received and forwarded to list. Copy sent to Isaac Jones <ijones@debian.org>. (Fri, 31 Dec 2010 18:27:02 GMT) Full text and rfc822 format available.

Message #22 received at 608220@bugs.debian.org (full text, mbox):

From: "Boyd Stephen Smith Jr." <bss@iguanasuicide.net>
To: 608220@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#608220: hugs98: FTBFS (sort of): Socket.hsc: error: invalid application of 'sizeof' to incomplete type 'struct ucred'
Date: Fri, 31 Dec 2010 11:55:07 -0600
[Message part 1 (text/plain, inline)]
In <201012291227.36061.mindboosternoori@gmail.com> (Message #10), Marcos 
Marado wrote:
>Couldn't this be something similar to this one?
>http://trac.haskell.org/network/ticket/20

Looks very similar.  I wasn't able to look at the linked patch because the URL 
now gives a 404.  Perhaps the patch can be retrieved from the history of GHC 
v6.11..v6.12.

In <20101231161502.GY14267@debian.org> (Message #15), Cyril Brulebois wrote:
>This seems to go away once the attached patch applied.

I'm a bit concerned about automatically adding _GNU_SOURCE to the compiler 
flags.  I know I've got a few programs banging around that fail to compile 
when that is applied, because they requires the POSIX version of strerror_r.  
In particular, this could change the results of previous AC_COMPILE tests.

Does the patch work without the nested AC_COMPILE_IFELSE?  If not, I'd say 
apply and fix any potential fallout later.  Otherwise, it would be good to 
drop it.
-- 
Boyd Stephen Smith Jr.                   ,= ,-_-. =.
bss@iguanasuicide.net                   ((_/)o o(\_))
ICQ: 514984 YM/AIM: DaTwinkDaddy         `-'(. .)`-'
http://iguanasuicide.net/                    \_/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Jones <ijones@debian.org>:
Bug#608220; Package src:hugs98. (Fri, 31 Dec 2010 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Isaac Jones <ijones@debian.org>. (Fri, 31 Dec 2010 18:33:03 GMT) Full text and rfc822 format available.

Message #27 received at 608220@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "Boyd Stephen Smith Jr." <bss@iguanasuicide.net>
Cc: 608220@bugs.debian.org, Jakub Wilk <jwilk@debian.org>
Subject: Re: Bug#608220: hugs98: FTBFS (sort of): Socket.hsc: error: invalid application of 'sizeof' to incomplete type 'struct ucred'
Date: Fri, 31 Dec 2010 19:28:46 +0100
[Message part 1 (text/plain, inline)]
Boyd Stephen Smith Jr. <bss@iguanasuicide.net> (31/12/2010):
> I'm a bit concerned about automatically adding _GNU_SOURCE to the
> compiler flags.  I know I've got a few programs banging around that
> fail to compile when that is applied, because they requires the
> POSIX version of strerror_r.  In particular, this could change the
> results of previous AC_COMPILE tests.

I'd think that's OK for all Debian architectures; and given the
timeframe to fix things for squeeze, I didn't look into it too
much. Got the patch to apply, noticed it was building fine again,
that's enough for me.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Wed, 05 Jan 2011 17:06:11 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Wed, 05 Jan 2011 17:06:11 GMT) Full text and rfc822 format available.

Message #32 received at 608220-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 608220-close@bugs.debian.org
Subject: Bug#608220: fixed in hugs98 98.200609.21-5.1
Date: Wed, 05 Jan 2011 17:02:39 +0000
Source: hugs98
Source-Version: 98.200609.21-5.1

We believe that the bug you reported is fixed in the latest version of
hugs98, which is due to be installed in the Debian FTP archive:

hugs98_98.200609.21-5.1.diff.gz
  to main/h/hugs98/hugs98_98.200609.21-5.1.diff.gz
hugs98_98.200609.21-5.1.dsc
  to main/h/hugs98/hugs98_98.200609.21-5.1.dsc
hugs_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/hugs_98.200609.21-5.1_amd64.deb
libhugs-alut-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-alut-bundled_98.200609.21-5.1_amd64.deb
libhugs-base-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-base-bundled_98.200609.21-5.1_amd64.deb
libhugs-cabal-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-cabal-bundled_98.200609.21-5.1_amd64.deb
libhugs-fgl-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-fgl-bundled_98.200609.21-5.1_amd64.deb
libhugs-glut-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-glut-bundled_98.200609.21-5.1_amd64.deb
libhugs-haskell-src-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-haskell-src-bundled_98.200609.21-5.1_amd64.deb
libhugs-haskell98-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-haskell98-bundled_98.200609.21-5.1_amd64.deb
libhugs-haxml-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-haxml-bundled_98.200609.21-5.1_amd64.deb
libhugs-hgl-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-hgl-bundled_98.200609.21-5.1_amd64.deb
libhugs-hunit-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-hunit-bundled_98.200609.21-5.1_amd64.deb
libhugs-mtl-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-mtl-bundled_98.200609.21-5.1_amd64.deb
libhugs-network-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-network-bundled_98.200609.21-5.1_amd64.deb
libhugs-openal-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-openal-bundled_98.200609.21-5.1_amd64.deb
libhugs-opengl-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-opengl-bundled_98.200609.21-5.1_amd64.deb
libhugs-parsec-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-parsec-bundled_98.200609.21-5.1_amd64.deb
libhugs-quickcheck-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-quickcheck-bundled_98.200609.21-5.1_amd64.deb
libhugs-stm-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-stm-bundled_98.200609.21-5.1_amd64.deb
libhugs-time-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-time-bundled_98.200609.21-5.1_amd64.deb
libhugs-unix-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-unix-bundled_98.200609.21-5.1_amd64.deb
libhugs-x11-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-x11-bundled_98.200609.21-5.1_amd64.deb
libhugs-xhtml-bundled_98.200609.21-5.1_amd64.deb
  to main/h/hugs98/libhugs-xhtml-bundled_98.200609.21-5.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608220@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated hugs98 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 05 Jan 2011 17:27:04 +0100
Source: hugs98
Binary: hugs libhugs-alut-bundled libhugs-base-bundled libhugs-cabal-bundled libhugs-fgl-bundled libhugs-glut-bundled libhugs-haskell98-bundled libhugs-haskell-src-bundled libhugs-haxml-bundled libhugs-hgl-bundled libhugs-hunit-bundled libhugs-mtl-bundled libhugs-network-bundled libhugs-openal-bundled libhugs-opengl-bundled libhugs-parsec-bundled libhugs-quickcheck-bundled libhugs-stm-bundled libhugs-time-bundled libhugs-unix-bundled libhugs-x11-bundled libhugs-xhtml-bundled
Architecture: source amd64
Version: 98.200609.21-5.1
Distribution: unstable
Urgency: high
Maintainer: Isaac Jones <ijones@debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 hugs       - A Haskell 98 interpreter
 libhugs-alut-bundled - A binding for the OpenAL Utility Toolkit
 libhugs-base-bundled - Basic libraries
 libhugs-cabal-bundled - A framework for packaging Haskell software
 libhugs-fgl-bundled - Martin Erwig's Functional Graph Library
 libhugs-glut-bundled - A binding for the OpenGL Utility Toolkit
 libhugs-haskell-src-bundled - Manipulating Haskell source code
 libhugs-haskell98-bundled - Compatibility with Haskell 98
 libhugs-haxml-bundled - Utilities for manipulating XML documents
 libhugs-hgl-bundled - A simple graphics library based on X11 or Win32
 libhugs-hunit-bundled - A unit testing framework for Haskell
 libhugs-mtl-bundled - Monad transformer library
 libhugs-network-bundled - Networking-related facilities
 libhugs-openal-bundled - A binding to the OpenAL cross-platform 3D audio API
 libhugs-opengl-bundled - A binding for the OpenGL graphics system
 libhugs-parsec-bundled - Monadic parser combinators
 libhugs-quickcheck-bundled - Automatic testing of Haskell programs
 libhugs-stm-bundled - Software Transactional Memory
 libhugs-time-bundled - time library
 libhugs-unix-bundled - POSIX functionality
 libhugs-x11-bundled - A binding to the X11 graphics library
 libhugs-xhtml-bundled - A Haskell XHTML combinator library
Closes: 608220
Changes: 
 hugs98 (98.200609.21-5.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Improve SO_PEERCRED/struct ucred detection by applying a patch stolen
     from haskell-network's 64a3779811dd9965d864c8b9c85c49a261c4eb69. This
     fixes the build with glibc 2.8 and higher (Closes: #608220). As a
     reminder, the build ought to break with such compiler errors, instead
     of creating mostly-empty packages, as noted by Jakub Wilk.
   * Set urgency to “high” for RC bugfix.
Checksums-Sha1: 
 91028977f91751be31c6adec3a13ea6d2224e100 1756 hugs98_98.200609.21-5.1.dsc
 81d5f161bb84b495f0954c202d48155002885aa8 24919 hugs98_98.200609.21-5.1.diff.gz
 126be9e89318bb94a9e8ec2b3cf771bb4f5cf92f 1163736 hugs_98.200609.21-5.1_amd64.deb
 58d95b11a76e03f2454b8c8b934aedcc6c42bf4e 35522 libhugs-alut-bundled_98.200609.21-5.1_amd64.deb
 8081a6b7251fc472c89407bb53ddd0bfbf230063 332992 libhugs-base-bundled_98.200609.21-5.1_amd64.deb
 0e48a29429b59ab1ed7b087b24233edd3da79ad8 85404 libhugs-cabal-bundled_98.200609.21-5.1_amd64.deb
 a09da8aa0af4b3c7db9b266880f1380b2bf0f8c6 42298 libhugs-fgl-bundled_98.200609.21-5.1_amd64.deb
 15e73337689ea45e39f79bea369780937a2f6cb6 719150 libhugs-glut-bundled_98.200609.21-5.1_amd64.deb
 245fc7364c762d302a0a7593d4a46eeca7f36d20 13386 libhugs-haskell98-bundled_98.200609.21-5.1_amd64.deb
 6d6d4df59f725678de24caab532a7e7b00d5a0f7 59732 libhugs-haskell-src-bundled_98.200609.21-5.1_amd64.deb
 df885a96a722ba3106bfa9323540eb083a07a1d0 214902 libhugs-haxml-bundled_98.200609.21-5.1_amd64.deb
 472a4c4dd74ca0edc69a36ca1bfc6db0ce19d2d5 44854 libhugs-hgl-bundled_98.200609.21-5.1_amd64.deb
 7639849835f016701bfbaa9363a3e3894d415d06 19458 libhugs-hunit-bundled_98.200609.21-5.1_amd64.deb
 6afa11b482f0943e6c0bd58db19d581e5c7abcce 18300 libhugs-mtl-bundled_98.200609.21-5.1_amd64.deb
 4186085d7256e4cb947bccf5f9b50b67921587fb 42064 libhugs-network-bundled_98.200609.21-5.1_amd64.deb
 ec75e2b60eb944f2aff594c3d00a21bbe5485924 69098 libhugs-openal-bundled_98.200609.21-5.1_amd64.deb
 751a40c1099f7028280c72aca1360afe534c2037 206758 libhugs-opengl-bundled_98.200609.21-5.1_amd64.deb
 d6e13fa6ff6611514dc64c40531852d50fcb899f 43600 libhugs-parsec-bundled_98.200609.21-5.1_amd64.deb
 7bb327d3cbc72a00345a301de910cb1618d80cef 16254 libhugs-quickcheck-bundled_98.200609.21-5.1_amd64.deb
 8aea901c757558611c95ee45a13411893ebee955 10974 libhugs-stm-bundled_98.200609.21-5.1_amd64.deb
 d9948ca30c1dc0deea3330d161e8c39b84c2843a 25958 libhugs-time-bundled_98.200609.21-5.1_amd64.deb
 d4ce352d2c967f01bd48f034b65e23e7072f8d00 59928 libhugs-unix-bundled_98.200609.21-5.1_amd64.deb
 a16c1e4339861a6f869cbb1a30defd495771088a 84242 libhugs-x11-bundled_98.200609.21-5.1_amd64.deb
 2a35eafd2204beb84a8cf3ecdc44a97a3741ebca 22080 libhugs-xhtml-bundled_98.200609.21-5.1_amd64.deb
Checksums-Sha256: 
 ef4c90b0518d9b1c636dc443b97b1bac2e88d4f0c6fcde639a59f862d2c7f887 1756 hugs98_98.200609.21-5.1.dsc
 c0950cb1b985ca21762c13e13eac7ba9562e0e55c62b1fc16c68ff5f75974c99 24919 hugs98_98.200609.21-5.1.diff.gz
 4548006e1d4e319e073fe4159f7440b0275c00e602d7a8de429a1b9bbe04b66a 1163736 hugs_98.200609.21-5.1_amd64.deb
 223c9973901e0bb0c739815ed66197fa70fa03e765f8c2b1d6684c03a857c814 35522 libhugs-alut-bundled_98.200609.21-5.1_amd64.deb
 bdfb1f11736e483310f9160ba47ebf959736e379447cc7776dd438ccb2436116 332992 libhugs-base-bundled_98.200609.21-5.1_amd64.deb
 7c7836a29d63427fc41da775140ab366bec4fc7894a98f6de1918b4682359deb 85404 libhugs-cabal-bundled_98.200609.21-5.1_amd64.deb
 af44acf40c56af6faa078bda3015e56daef7eb3344f5fd4cd53315807b752fd4 42298 libhugs-fgl-bundled_98.200609.21-5.1_amd64.deb
 a508edd24a20320ea283c0df68838bce099fbf31cba3a560f89b6c2ea8cad65f 719150 libhugs-glut-bundled_98.200609.21-5.1_amd64.deb
 9bbb61747f017379d81a49671c4ebde17d299f95462d66f4cc1907ab2a373972 13386 libhugs-haskell98-bundled_98.200609.21-5.1_amd64.deb
 53637b248c1a8531124b88f1f9d014f40f1c8a3d6c49e532c2a6853a1e0c764c 59732 libhugs-haskell-src-bundled_98.200609.21-5.1_amd64.deb
 846401d4972b5fe7267498a93ec8c8484306d66ac22a29f216f25c2a5dc498a5 214902 libhugs-haxml-bundled_98.200609.21-5.1_amd64.deb
 e11262134d4dffa99b995717859f2c4d8550e41f524cd7ab68798148a960287e 44854 libhugs-hgl-bundled_98.200609.21-5.1_amd64.deb
 3fac5fb691b0e84f1ef7c67d7f8bfacd8bb9ed666b724ec498d8c445c0161e42 19458 libhugs-hunit-bundled_98.200609.21-5.1_amd64.deb
 b33e399a5e77573d0d73043ee4d2725df0729da331e2a9f23cf5959172f09c6d 18300 libhugs-mtl-bundled_98.200609.21-5.1_amd64.deb
 b868b75fe565442e16dc95a072c473653fad68b937c356dc85237ec1e4e18f9f 42064 libhugs-network-bundled_98.200609.21-5.1_amd64.deb
 877a115ce5474646e8e14a1ce9f0371b2614b58aeb264e015cf0befb4ccfe43b 69098 libhugs-openal-bundled_98.200609.21-5.1_amd64.deb
 14335053bcb748d07e9a21167534eedfc48d78a655d8262b135230b2dcb9094d 206758 libhugs-opengl-bundled_98.200609.21-5.1_amd64.deb
 b19d5a8de3b893fd87a6fa02a1ae8877d16607bdfa040a88ac27e784e707a11d 43600 libhugs-parsec-bundled_98.200609.21-5.1_amd64.deb
 8b84dbadbac609fdf23b0208d61c91272359f30ec2b2f37e3d95ce931770fee0 16254 libhugs-quickcheck-bundled_98.200609.21-5.1_amd64.deb
 092141664d83e5b068b52ac8501108260b2c4e08b41c887e06d2d39c2590c96c 10974 libhugs-stm-bundled_98.200609.21-5.1_amd64.deb
 7ee6a440eb659e983a5c5c7ede45aa26b6e6005cae0098c4028c256265c256ef 25958 libhugs-time-bundled_98.200609.21-5.1_amd64.deb
 5609fd9b4c1cd1cb065d69f571a03f9a25fdecf4e0af6ae787e4c214cb31117f 59928 libhugs-unix-bundled_98.200609.21-5.1_amd64.deb
 41eed5446a98d203a180508f7ba981c3145f620fc36c7f08a5b43774173aa139 84242 libhugs-x11-bundled_98.200609.21-5.1_amd64.deb
 3698946e734580a9d224c354139c3115b462ef12dd9f10b01075a0552239bf96 22080 libhugs-xhtml-bundled_98.200609.21-5.1_amd64.deb
Files: 
 98680b3ae758c1e2d0f19eec36ee6c71 1756 interpreters optional hugs98_98.200609.21-5.1.dsc
 c6e77d9589965e5cd1d7416217744ba6 24919 interpreters optional hugs98_98.200609.21-5.1.diff.gz
 1803dfaf5d5225d5a5c6b0d186e245c0 1163736 interpreters optional hugs_98.200609.21-5.1_amd64.deb
 ca51850db121f53019d991b810c72dd8 35522 devel optional libhugs-alut-bundled_98.200609.21-5.1_amd64.deb
 a881f83b6960ea241cf42673c0e70288 332992 devel optional libhugs-base-bundled_98.200609.21-5.1_amd64.deb
 2918fbb911ec63b5d0438d7397c28fbc 85404 devel optional libhugs-cabal-bundled_98.200609.21-5.1_amd64.deb
 101275a69722d7013e81defb3b706968 42298 devel optional libhugs-fgl-bundled_98.200609.21-5.1_amd64.deb
 4d2dfb01eec78956a951b5f862290271 719150 devel optional libhugs-glut-bundled_98.200609.21-5.1_amd64.deb
 94eeb917cbcebc51fea7824f40f78eab 13386 devel optional libhugs-haskell98-bundled_98.200609.21-5.1_amd64.deb
 601fd97fdb190ce3e09ea05fa2e9e68e 59732 devel optional libhugs-haskell-src-bundled_98.200609.21-5.1_amd64.deb
 fabe01e4ae75a796810201e431a3d7b0 214902 devel optional libhugs-haxml-bundled_98.200609.21-5.1_amd64.deb
 04b1e6a3f2fc1ca1e48740b44ced9ad8 44854 devel optional libhugs-hgl-bundled_98.200609.21-5.1_amd64.deb
 5f4efc7afb81a88ab67f4e7b436401ab 19458 devel optional libhugs-hunit-bundled_98.200609.21-5.1_amd64.deb
 fff48b9e1119bcb02eb074fb9d3f345f 18300 devel optional libhugs-mtl-bundled_98.200609.21-5.1_amd64.deb
 9b2c6f7c4f35fc6cc7ad023f7732ad37 42064 devel optional libhugs-network-bundled_98.200609.21-5.1_amd64.deb
 3f25e0bada5463d048352a0f92cd2af8 69098 devel optional libhugs-openal-bundled_98.200609.21-5.1_amd64.deb
 737c4b5ae661167e39641c10fc458485 206758 devel optional libhugs-opengl-bundled_98.200609.21-5.1_amd64.deb
 57015757c02ca71f1be24fa671d7e4b8 43600 devel optional libhugs-parsec-bundled_98.200609.21-5.1_amd64.deb
 76ab3b3d2e213e41640b36bd1f16c6ba 16254 devel optional libhugs-quickcheck-bundled_98.200609.21-5.1_amd64.deb
 7cef7ec5104f51843abd76c72e9f723f 10974 devel optional libhugs-stm-bundled_98.200609.21-5.1_amd64.deb
 7636a0342cac5b46ccb383f33d496cde 25958 devel optional libhugs-time-bundled_98.200609.21-5.1_amd64.deb
 c43473ccfe17a684b03d9024e736ced2 59928 devel optional libhugs-unix-bundled_98.200609.21-5.1_amd64.deb
 e5cb0244b1ec961a3b7a866ef53419d0 84242 devel optional libhugs-x11-bundled_98.200609.21-5.1_amd64.deb
 7522a87006406d6d83440415c5459ac6 22080 devel optional libhugs-xhtml-bundled_98.200609.21-5.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0kockACgkQeGfVPHR5Nd1nLQCgqKWONynOaW2sg80jc6cyZyJb
7WMAoL4i6snfjRfU4aRxeJwgs2BHY95a
=OM++
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions hugs98/98.200609.21-5.1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Jan 2011 16:39:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions hugs98/98.200609.21-5.1. Request was from Felix Geyer <debfx-pkg@fobos.de> to control@bugs.debian.org. (Sat, 08 Jan 2011 16:39:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Jones <ijones@debian.org>:
Bug#608220; Package src:hugs98. (Sat, 08 Jan 2011 17:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Geyer <debfx-pkg@fobos.de>:
Extra info received and forwarded to list. Copy sent to Isaac Jones <ijones@debian.org>. (Sat, 08 Jan 2011 17:18:02 GMT) Full text and rfc822 format available.

Message #41 received at 608220@bugs.debian.org (full text, mbox):

From: Felix Geyer <debfx-pkg@fobos.de>
To: 608220@bugs.debian.org
Cc: Debian Bug Tracking System <control@bugs.debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#608220: hugs98: FTBFS (sort of): Socket.hsc: error: invalid application of 'sizeof' to incomplete type 'struct ucred'
Date: Sat, 08 Jan 2011 17:34:55 +0100
reopen 608220
found 608220 hugs98/98.200609.21-5.1
tags 608220 patch
thanks

This isn't completely fixed yet.

The build log says:
> ../../src/ffihugs -98 -P../../hugsdir/packages/network: -i"HsNet.h" -i"HsNetworkConfig.h" ../../hugsdir/packages/network/Network/BSD.hs -Iinclude -DCALLCONV=ccall @EXTRA_CPPFLAGS@
> gcc: @EXTRA_CPPFLAGS@: No such file or directory
> runhugs: Error occurred

As a result libhugs-network-bundled doesn't contain
/usr/lib/hugs/packages/network/Network/BSD.so.

packages/network/configure.ac and packages/network/network.buildinfo.in
have been modified but configure hasn't been rebuilt.
Running autoconf in packages/network fixes the problem.

I've prepared a package update:
http://mentors.debian.net/debian/pool/main/h/hugs98/hugs98_98.200609.21-5.2.dsc

It also ensures that LDFLAGS is empty as the build system can't handle
commas (Ubuntu sets LDFLAGS to -Wl,-Bsymbolic-functions by default).





Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Jones <ijones@debian.org>:
Bug#608220; Package src:hugs98. (Sun, 16 Jan 2011 22:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Geyer <debfx-pkg@fobos.de>:
Extra info received and forwarded to list. Copy sent to Isaac Jones <ijones@debian.org>. (Sun, 16 Jan 2011 22:45:03 GMT) Full text and rfc822 format available.

Message #46 received at 608220@bugs.debian.org (full text, mbox):

From: Felix Geyer <debfx-pkg@fobos.de>
To: Julien Cristau <jcristau@debian.org>
Cc: David Bremner <bremner@debian.org>, debian-mentors@lists.debian.org, debian-release@lists.debian.org, 608220@bugs.debian.org
Subject: Re: RFS: hugs98 (NMU, RC bugfix)
Date: Sun, 16 Jan 2011 23:40:43 +0100
On 16.01.2011 22:12, Julien Cristau wrote:
> On Sun, Jan 16, 2011 at 16:19:11 -0400, David Bremner wrote:
>
>> Hi Felix;
>>
>> Please discuss with the release team (in CC) whether your upload is OK
>> for squeeze. If they approve it I (or someone else) can sponsor the NMU.
>>
>> Release team: diffstat is big because autoconf rewrites all of 
>> configure. Other than that, the interesting change is 
>>
>> --- hugs98-98.200609.21/debian/rules
>> +++ hugs98-98.200609.21/debian/rules
>> @@ -18,6 +18,9 @@
>>  # This has to be exported to make some magic below work.
>>  export DH_OPTIONS
>>  
>> +# Ensure that LDFLAGS is empty as the build system can't handle commas.
>> +LDFLAGS :=
>> +
>>  CONFIG_DIRS := . packages/network/ packages/Cabal/tests/HSQL/ \
>>  	packages/ALUT/ packages/GLUT/ packages/OpenAL/ \
>>  	packages/OpenGL/ src/unix/ 
>>
>>
> That doesn't seem to be the interesting change.  Debian's
> dpkg-buildpackage doesn't set LDFLAGS.  Also, why wasn't this sent to
> the bug?
>
> Cheers,
> Julien
I've upload a new version to Debian Mentors without the LDFLAGS change
and CCed the bug.

Felix




Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Jones <ijones@debian.org>:
Bug#608220; Package src:hugs98. (Sun, 16 Jan 2011 23:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Isaac Jones <ijones@debian.org>. (Sun, 16 Jan 2011 23:21:02 GMT) Full text and rfc822 format available.

Message #51 received at 608220@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Felix Geyer <debfx-pkg@fobos.de>, 608220@bugs.debian.org
Cc: David Bremner <bremner@debian.org>, debian-mentors@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#608220: RFS: hugs98 (NMU, RC bugfix)
Date: Mon, 17 Jan 2011 00:16:24 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan 16, 2011 at 23:40:43 +0100, Felix Geyer wrote:

> I've upload a new version to Debian Mentors without the LDFLAGS change
> and CCed the bug.
> 
Well you've still not sent a patch to the bug, afaict.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Jones <ijones@debian.org>:
Bug#608220; Package src:hugs98. (Sun, 16 Jan 2011 23:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felix Geyer <debfx-pkg@fobos.de>:
Extra info received and forwarded to list. Copy sent to Isaac Jones <ijones@debian.org>. (Sun, 16 Jan 2011 23:36:07 GMT) Full text and rfc822 format available.

Message #56 received at 608220@bugs.debian.org (full text, mbox):

From: Felix Geyer <debfx-pkg@fobos.de>
To: Julien Cristau <jcristau@debian.org>
Cc: 608220@bugs.debian.org, David Bremner <bremner@debian.org>, debian-mentors@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#608220: RFS: hugs98 (NMU, RC bugfix)
Date: Mon, 17 Jan 2011 00:34:48 +0100
[Message part 1 (text/plain, inline)]
On 17.01.2011 00:16, Julien Cristau wrote:
> On Sun, Jan 16, 2011 at 23:40:43 +0100, Felix Geyer wrote:
>
>> I've upload a new version to Debian Mentors without the LDFLAGS change
>> and CCed the bug.
>>
> Well you've still not sent a patch to the bug, afaict.
>
> Cheers,
> Julien
I didn't realize that you were talking about the patch itself.
Attaching it now.

Felix

[hugs98_98.200609.21-5.2.debdiff.gz (application/gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Jones <ijones@debian.org>:
Bug#608220; Package src:hugs98. (Mon, 17 Jan 2011 01:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Isaac Jones <ijones@debian.org>. (Mon, 17 Jan 2011 01:15:05 GMT) Full text and rfc822 format available.

Message #61 received at 608220@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Felix Geyer <debfx-pkg@fobos.de>, 608220@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, David Bremner <bremner@debian.org>, debian-mentors@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#608220: RFS: hugs98 (NMU, RC bugfix)
Date: Mon, 17 Jan 2011 02:12:18 +0100
[Message part 1 (text/plain, inline)]
Felix Geyer <debfx-pkg@fobos.de> (17/01/2011):
> I didn't realize that you were talking about the patch itself.
> Attaching it now.

Thanks, sponsored. Thanks for spotting I failed to get it fixed in the
first place, too.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Felix Geyer <debfx-pkg@fobos.de>:
You have taken responsibility. (Mon, 17 Jan 2011 01:21:06 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Mon, 17 Jan 2011 01:21:06 GMT) Full text and rfc822 format available.

Message #66 received at 608220-close@bugs.debian.org (full text, mbox):

From: Felix Geyer <debfx-pkg@fobos.de>
To: 608220-close@bugs.debian.org
Subject: Bug#608220: fixed in hugs98 98.200609.21-5.2
Date: Mon, 17 Jan 2011 01:17:32 +0000
Source: hugs98
Source-Version: 98.200609.21-5.2

We believe that the bug you reported is fixed in the latest version of
hugs98, which is due to be installed in the Debian FTP archive:

hugs98_98.200609.21-5.2.diff.gz
  to main/h/hugs98/hugs98_98.200609.21-5.2.diff.gz
hugs98_98.200609.21-5.2.dsc
  to main/h/hugs98/hugs98_98.200609.21-5.2.dsc
hugs_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/hugs_98.200609.21-5.2_amd64.deb
libhugs-alut-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-alut-bundled_98.200609.21-5.2_amd64.deb
libhugs-base-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-base-bundled_98.200609.21-5.2_amd64.deb
libhugs-cabal-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-cabal-bundled_98.200609.21-5.2_amd64.deb
libhugs-fgl-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-fgl-bundled_98.200609.21-5.2_amd64.deb
libhugs-glut-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-glut-bundled_98.200609.21-5.2_amd64.deb
libhugs-haskell-src-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-haskell-src-bundled_98.200609.21-5.2_amd64.deb
libhugs-haskell98-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-haskell98-bundled_98.200609.21-5.2_amd64.deb
libhugs-haxml-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-haxml-bundled_98.200609.21-5.2_amd64.deb
libhugs-hgl-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-hgl-bundled_98.200609.21-5.2_amd64.deb
libhugs-hunit-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-hunit-bundled_98.200609.21-5.2_amd64.deb
libhugs-mtl-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-mtl-bundled_98.200609.21-5.2_amd64.deb
libhugs-network-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-network-bundled_98.200609.21-5.2_amd64.deb
libhugs-openal-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-openal-bundled_98.200609.21-5.2_amd64.deb
libhugs-opengl-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-opengl-bundled_98.200609.21-5.2_amd64.deb
libhugs-parsec-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-parsec-bundled_98.200609.21-5.2_amd64.deb
libhugs-quickcheck-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-quickcheck-bundled_98.200609.21-5.2_amd64.deb
libhugs-stm-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-stm-bundled_98.200609.21-5.2_amd64.deb
libhugs-time-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-time-bundled_98.200609.21-5.2_amd64.deb
libhugs-unix-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-unix-bundled_98.200609.21-5.2_amd64.deb
libhugs-x11-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-x11-bundled_98.200609.21-5.2_amd64.deb
libhugs-xhtml-bundled_98.200609.21-5.2_amd64.deb
  to main/h/hugs98/libhugs-xhtml-bundled_98.200609.21-5.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 608220@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Felix Geyer <debfx-pkg@fobos.de> (supplier of updated hugs98 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 16 Jan 2011 23:22:37 +0100
Source: hugs98
Binary: hugs libhugs-alut-bundled libhugs-base-bundled libhugs-cabal-bundled libhugs-fgl-bundled libhugs-glut-bundled libhugs-haskell98-bundled libhugs-haskell-src-bundled libhugs-haxml-bundled libhugs-hgl-bundled libhugs-hunit-bundled libhugs-mtl-bundled libhugs-network-bundled libhugs-openal-bundled libhugs-opengl-bundled libhugs-parsec-bundled libhugs-quickcheck-bundled libhugs-stm-bundled libhugs-time-bundled libhugs-unix-bundled libhugs-x11-bundled libhugs-xhtml-bundled
Architecture: source amd64
Version: 98.200609.21-5.2
Distribution: unstable
Urgency: high
Maintainer: Isaac Jones <ijones@debian.org>
Changed-By: Felix Geyer <debfx-pkg@fobos.de>
Description: 
 hugs       - A Haskell 98 interpreter
 libhugs-alut-bundled - A binding for the OpenAL Utility Toolkit
 libhugs-base-bundled - Basic libraries
 libhugs-cabal-bundled - A framework for packaging Haskell software
 libhugs-fgl-bundled - Martin Erwig's Functional Graph Library
 libhugs-glut-bundled - A binding for the OpenGL Utility Toolkit
 libhugs-haskell-src-bundled - Manipulating Haskell source code
 libhugs-haskell98-bundled - Compatibility with Haskell 98
 libhugs-haxml-bundled - Utilities for manipulating XML documents
 libhugs-hgl-bundled - A simple graphics library based on X11 or Win32
 libhugs-hunit-bundled - A unit testing framework for Haskell
 libhugs-mtl-bundled - Monad transformer library
 libhugs-network-bundled - Networking-related facilities
 libhugs-openal-bundled - A binding to the OpenAL cross-platform 3D audio API
 libhugs-opengl-bundled - A binding for the OpenGL graphics system
 libhugs-parsec-bundled - Monadic parser combinators
 libhugs-quickcheck-bundled - Automatic testing of Haskell programs
 libhugs-stm-bundled - Software Transactional Memory
 libhugs-time-bundled - time library
 libhugs-unix-bundled - POSIX functionality
 libhugs-x11-bundled - A binding to the X11 graphics library
 libhugs-xhtml-bundled - A Haskell XHTML combinator library
Closes: 608220
Changes: 
 hugs98 (98.200609.21-5.2) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Fix build error: run autoconf in packages/network as configure.ac
     has been changed. (Closes: #608220)
   * Set urgency to "high" for RC bugfix.
Checksums-Sha1: 
 f2267133b6d07cc4cebf1789ef2ee3f41981fd20 1756 hugs98_98.200609.21-5.2.dsc
 fc13e6dbbce73807ce68614a2587e7415b0a1cb5 69266 hugs98_98.200609.21-5.2.diff.gz
 904d17ab22f9b6ec19a857a47df003716b2cf482 1163868 hugs_98.200609.21-5.2_amd64.deb
 c7688fadd79c3a9985e3c93e64565c453b1bbdc0 35626 libhugs-alut-bundled_98.200609.21-5.2_amd64.deb
 ad48a4cbf63bf3f50b2b4ee31fad40f2256c0153 333074 libhugs-base-bundled_98.200609.21-5.2_amd64.deb
 4f612f89e004166b4b14df0f87aff8e1800a29c2 85486 libhugs-cabal-bundled_98.200609.21-5.2_amd64.deb
 7b3b722eedf5ff423baabd9c741f33b4fbb863ff 42404 libhugs-fgl-bundled_98.200609.21-5.2_amd64.deb
 b9cba332055c98b52f8694c840a77178332f2db0 719282 libhugs-glut-bundled_98.200609.21-5.2_amd64.deb
 7468f33330bef8adaec86e0bbcacdfb9bad09dd5 13506 libhugs-haskell98-bundled_98.200609.21-5.2_amd64.deb
 eeb65b6b841f0c26b3e373f94372daee0eecb9a3 59820 libhugs-haskell-src-bundled_98.200609.21-5.2_amd64.deb
 47afb91326d58e16b65e5922462ffb08bb202688 214990 libhugs-haxml-bundled_98.200609.21-5.2_amd64.deb
 1ac1703d6ca1116a8b1e9ead718e80b99e5b474e 44934 libhugs-hgl-bundled_98.200609.21-5.2_amd64.deb
 2b21bc7b48a7f4fcd45bd16dfd5fe4e84f956f2e 19566 libhugs-hunit-bundled_98.200609.21-5.2_amd64.deb
 775435e96c1d66f0dffe1b64d524d7a9f9bf5eda 18412 libhugs-mtl-bundled_98.200609.21-5.2_amd64.deb
 42e8bb7b4a984e87606f1123e4a2f07ae5dc8ebe 50076 libhugs-network-bundled_98.200609.21-5.2_amd64.deb
 e7dbda801b93e9658a4ab70f5c6693d3fa563c8b 69202 libhugs-openal-bundled_98.200609.21-5.2_amd64.deb
 8285c2bd1d5189fb74a5e21e3b5645e3a57d82f9 206914 libhugs-opengl-bundled_98.200609.21-5.2_amd64.deb
 bd81462390ec6b0327ba31a56af497d821a0b168 43714 libhugs-parsec-bundled_98.200609.21-5.2_amd64.deb
 06cbe61afaf46d4875a58a9b4aa341724541f4c7 16364 libhugs-quickcheck-bundled_98.200609.21-5.2_amd64.deb
 33e4a4f83df96369824adf0a49b0d96db27217de 11074 libhugs-stm-bundled_98.200609.21-5.2_amd64.deb
 fd0e06d4f6f9c80426858fbad512caec9eaec1bf 26066 libhugs-time-bundled_98.200609.21-5.2_amd64.deb
 fc0b981fde751a978e1bfa35b33fe57b6e357d1b 60038 libhugs-unix-bundled_98.200609.21-5.2_amd64.deb
 e1bcff9d8f4bde5a9a0db82954904590d1c914c7 84348 libhugs-x11-bundled_98.200609.21-5.2_amd64.deb
 da743844f9f0b352f9ad5a419c3e593e5ef5026b 22190 libhugs-xhtml-bundled_98.200609.21-5.2_amd64.deb
Checksums-Sha256: 
 16185ed524a51382bd3652cf3e76157102cb01a4ae81c019f7e5bb5e6f398c18 1756 hugs98_98.200609.21-5.2.dsc
 5c23430d032c0c99c177cb57e7624611eaee4a0d1bcee24ab1ec859ff856f71c 69266 hugs98_98.200609.21-5.2.diff.gz
 1a076565c97e77a27b74f091ace9c600fc94f43565249888252bd40396f979be 1163868 hugs_98.200609.21-5.2_amd64.deb
 91313984716a4b18a7785d222aef37fe120bf49ed45e45641f5c0e1663ba6ec7 35626 libhugs-alut-bundled_98.200609.21-5.2_amd64.deb
 04c955d696db108aa94f4791f141aec119c2d96c06d74e1809ba01baf28975a1 333074 libhugs-base-bundled_98.200609.21-5.2_amd64.deb
 5cd8aeda162d0508b7f1879125028f35161a4b1dfafbe104602950d66a057d0c 85486 libhugs-cabal-bundled_98.200609.21-5.2_amd64.deb
 587eaeb9ff1de7b21c64eab4bf4b62203fe8d6a2a8579837a425c93108206a50 42404 libhugs-fgl-bundled_98.200609.21-5.2_amd64.deb
 2866567d0265035e481311b7b0c5d4ff8324ea2db5a126caa1edd30cf77ba0b2 719282 libhugs-glut-bundled_98.200609.21-5.2_amd64.deb
 1229c5c1dcbc5798dfe4808d0d6d25708ca936098e1031464fa63e8e5e7dd201 13506 libhugs-haskell98-bundled_98.200609.21-5.2_amd64.deb
 4916604f3d210db08063eeb8c972b258ce221f3b0af6470708e07ae73e057bfb 59820 libhugs-haskell-src-bundled_98.200609.21-5.2_amd64.deb
 ecd6e96ef184ceaf6df4581adb5d65a80536f26ab2a6db5c738597ccf5bb2088 214990 libhugs-haxml-bundled_98.200609.21-5.2_amd64.deb
 4af2fd80fc41a5ceccde01516867798bceff32598c5538e6d1c98d2c78c7477d 44934 libhugs-hgl-bundled_98.200609.21-5.2_amd64.deb
 a6cb1c1f063c252ed417114677172b626648d7e3e83aa29d1112eb2d29e20880 19566 libhugs-hunit-bundled_98.200609.21-5.2_amd64.deb
 bef1995318c3f98005152c6fe6cbcf6a582667f71687b623faf6a07948ee1913 18412 libhugs-mtl-bundled_98.200609.21-5.2_amd64.deb
 bdf6e5f38e020802498c1f6bfe9d452cf3d61abc21fae6f9a8fb731533609f3a 50076 libhugs-network-bundled_98.200609.21-5.2_amd64.deb
 3abba418ed1f70d1872bf2e0a59f526408112d3e4f17f3686183296064db32f2 69202 libhugs-openal-bundled_98.200609.21-5.2_amd64.deb
 6d50f011470b607110f72086b067b7915cd455da4fab952b893e3b2d29c7c867 206914 libhugs-opengl-bundled_98.200609.21-5.2_amd64.deb
 fcd25962a517d9dc6c298c86cedd797eee15631ff91ca9f7153116da051f42ed 43714 libhugs-parsec-bundled_98.200609.21-5.2_amd64.deb
 9d159f0d341a21670a0d6b2523e20ec743713a8a8be619cc952bbffdb72208e6 16364 libhugs-quickcheck-bundled_98.200609.21-5.2_amd64.deb
 d9c70a479c6c453c1301b3eef87c1940e0b7f1699b219a0200338f7f3ed3b46e 11074 libhugs-stm-bundled_98.200609.21-5.2_amd64.deb
 f352f5db35907ac7508b0974a84477ceae5d94569fb08449a6b09ffdbc67d9b6 26066 libhugs-time-bundled_98.200609.21-5.2_amd64.deb
 3edaab45536ecafb8347ee9ea9256e3a41c4fd3d77d01a45f0926d41694fa288 60038 libhugs-unix-bundled_98.200609.21-5.2_amd64.deb
 446bd0824aaa7dffc807d86c41ca941a9f74c57370473eb0cb2d7db1b068cd44 84348 libhugs-x11-bundled_98.200609.21-5.2_amd64.deb
 7570f5518856030de6c34c6138b5956212d4216802d2b21d117d264ac08a249a 22190 libhugs-xhtml-bundled_98.200609.21-5.2_amd64.deb
Files: 
 b0d01656bdd5304c89ae702800237712 1756 interpreters optional hugs98_98.200609.21-5.2.dsc
 147fa6ad0e6a4f848907272d358e0edb 69266 interpreters optional hugs98_98.200609.21-5.2.diff.gz
 e5763899f4095ecb6f666011a6e04ccb 1163868 interpreters optional hugs_98.200609.21-5.2_amd64.deb
 d0c0062b19ad2b60a47f7f1364ade244 35626 devel optional libhugs-alut-bundled_98.200609.21-5.2_amd64.deb
 b013b1eba1dcb5329c0004b6338f212f 333074 devel optional libhugs-base-bundled_98.200609.21-5.2_amd64.deb
 d0454fb7b9ac1928b5b48927e571db11 85486 devel optional libhugs-cabal-bundled_98.200609.21-5.2_amd64.deb
 9311f5e4a7235590ad814b92077eba43 42404 devel optional libhugs-fgl-bundled_98.200609.21-5.2_amd64.deb
 6f089bb5afd9cb474c5cf1fa39fa87e5 719282 devel optional libhugs-glut-bundled_98.200609.21-5.2_amd64.deb
 692249935a4c2a2956173592165b8d87 13506 devel optional libhugs-haskell98-bundled_98.200609.21-5.2_amd64.deb
 3dc761724e63e424577c6c373cfc5ba8 59820 devel optional libhugs-haskell-src-bundled_98.200609.21-5.2_amd64.deb
 17dfd08f9cefea3fb4622021e1e2bcee 214990 devel optional libhugs-haxml-bundled_98.200609.21-5.2_amd64.deb
 7956ba2cfb4b862488a5fae2584956f2 44934 devel optional libhugs-hgl-bundled_98.200609.21-5.2_amd64.deb
 43eda1871424146bc9a558a7e78c8f79 19566 devel optional libhugs-hunit-bundled_98.200609.21-5.2_amd64.deb
 f6104a06526459733b60618c2064dd02 18412 devel optional libhugs-mtl-bundled_98.200609.21-5.2_amd64.deb
 3aececf44b7488aa6c8ddcf54596b8f6 50076 devel optional libhugs-network-bundled_98.200609.21-5.2_amd64.deb
 85256ba1b6d824f1592950287b44b795 69202 devel optional libhugs-openal-bundled_98.200609.21-5.2_amd64.deb
 608a99193a50daaa8f0ac01a12651231 206914 devel optional libhugs-opengl-bundled_98.200609.21-5.2_amd64.deb
 04081b2bf1974de67126806029e64a53 43714 devel optional libhugs-parsec-bundled_98.200609.21-5.2_amd64.deb
 c451bb873918838a5112650a554d64cc 16364 devel optional libhugs-quickcheck-bundled_98.200609.21-5.2_amd64.deb
 7bff1c0d02c141216d17153cbb2cff84 11074 devel optional libhugs-stm-bundled_98.200609.21-5.2_amd64.deb
 7f984dca70da052384767ea3596eebbb 26066 devel optional libhugs-time-bundled_98.200609.21-5.2_amd64.deb
 6ada7ec1271eafc2efe103983665d64f 60038 devel optional libhugs-unix-bundled_98.200609.21-5.2_amd64.deb
 1ffad0fc0e400a85b1831bd6efab1041 84348 devel optional libhugs-x11-bundled_98.200609.21-5.2_amd64.deb
 05101cb494b68df8bb16a802739d537c 22190 devel optional libhugs-xhtml-bundled_98.200609.21-5.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk0zlxYACgkQeGfVPHR5Nd3E/gCgqy+3rXa9gUBHRPM48enKfLB+
NpYAmgJFcHFKI4qNEgHR11fW/6qs9mdw
=Gp1T
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Isaac Jones <ijones@debian.org>:
Bug#608220; Package src:hugs98. (Mon, 17 Jan 2011 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Isaac Jones <ijones@debian.org>. (Mon, 17 Jan 2011 11:33:03 GMT) Full text and rfc822 format available.

Message #71 received at 608220@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Cyril Brulebois <kibi@debian.org>
Cc: Felix Geyer <debfx-pkg@fobos.de>, 608220@bugs.debian.org, David Bremner <bremner@debian.org>, debian-mentors@lists.debian.org, debian-release@lists.debian.org
Subject: Re: Bug#608220: RFS: hugs98 (NMU, RC bugfix)
Date: Mon, 17 Jan 2011 12:31:59 +0100
[Message part 1 (text/plain, inline)]
On Mon, Jan 17, 2011 at 02:12:18 +0100, Cyril Brulebois wrote:

> Felix Geyer <debfx-pkg@fobos.de> (17/01/2011):
> > I didn't realize that you were talking about the patch itself.
> > Attaching it now.
> 
> Thanks, sponsored. Thanks for spotting I failed to get it fixed in the
> first place, too.
> 
Unblocked.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 15 Apr 2011 07:33:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:29:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.